# Uses of Class
it.tdlight.jni.TdApi.VideoNote

## Uses of TdApi.VideoNote in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.VideoNote
Modifier and Type
Field
Description
`TdApi.VideoNote`
TdApi.MessageVideoNote.`videoNote`
The video note description.
`TdApi.VideoNote`
TdApi.PushMessageContentVideoNote.`videoNote`
Message content; may be null.
`TdApi.VideoNote`
TdApi.WebPage.`videoNote`
Preview of the content as a video note, if available; may be null.
Constructors in it.tdlight.jni with parameters of type TdApi.VideoNote
Modifier
Constructor
Description
``
`MessageVideoNote(TdApi.VideoNote videoNote, boolean isViewed, boolean isSecret)`
A video note message.
``
`PushMessageContentVideoNote(TdApi.VideoNote videoNote, boolean isPinned)`
A video note message.
``
`WebPage(String url, String displayUrl, String type, String siteName, String title, TdApi.FormattedText description, TdApi.Photo photo, String embedUrl, String embedType, int embedWidth, int embedHeight, int duration, String author, boolean hasLargeMedia, boolean showLargeMedia, boolean skipConfirmation, boolean showAboveText, TdApi.Animation animation, TdApi.Audio audio, TdApi.Document document, TdApi.Sticker sticker, TdApi.Video video, TdApi.VideoNote videoNote, TdApi.VoiceNote voiceNote, long storySenderChatId, int storyId, int instantViewVersion)`
Describes a link preview.